mobile_image_mounter_client_t
mobile_image_mounter_error_t
mobile_image_mounter_free
mobile_image_mounter_hangup
mobile_image_mounter_lookup_image
mobile_image_mounter_mount_image
mobile_image_mounter_mount_image_with_options
mobile_image_mounter_new
mobile_image_mounter_query_developer_mode_status
mobile_image_mounter_query_nonce
mobile_image_mounter_query_personalization_identifiers
mobile_image_mounter_query_personalization_manifest
mobile_image_mounter_roll_cryptex_nonce
mobile_image_mounter_roll_personalization_nonce
MOBILE_IMAGE_MOUNTER_SERVICE_NAME
mobile_image_mounter_start_service
mobile_image_mounter_unmount_image
mobile_image_mounter_upload_cb_t
mobile_image_mounter_upload_image

## mobile_image_mounter_lookup_image()

LIBIMOBILEDEVICE_API mobile_image_mounter_error_t mobile_image_mounter_lookup_image | ( | mobile_image_mounter_client_t | client,
|  | const char * | image_type,
|  | plist_t * | result )

Tells if the image of ImageType is already mounted.

Parameters

  client | The client use
  image_type | The type of the image to look up
  result | Pointer to a plist that will receive the result of the operation.

Note
  This function may return MOBILE_IMAGE_MOUNTER_E_SUCCESS even if the operation has failed. Check the resulting plist for further information.

Returns
  MOBILE_IMAGE_MOUNTER_E_SUCCESS on success, or an error code on error